commit: 5ede661d7e0b16436b0ceaace354a5d5219242f2
Author: Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 9 10:18:24 2016 +0000
Commit: Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
CommitDate: Thu Jun 9 10:18:24 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5ede661d
dev-python/python-gnupg: rev-bump for EAPI-6 and added python-3.5 support
Package-Manager: portage-2.3.0_rc1
.../python-gnupg/python-gnupg-0.3.8-r1.ebuild | 27 ++++++++++++++++++++++
1 file changed, 27 insertions(+)
diff --git a/dev-python/python-gnupg/python-gnupg-0.3.8-r1.ebuild
b/dev-python/python-gnupg/python-gnupg-0.3.8-r1.ebuild
new file mode 100644
index 0000000..54eab73
--- /dev/null
+++ b/dev-python/python-gnupg/python-gnupg-0.3.8-r1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Python wrapper for GNU Privacy Guard"
+HOMEPAGE="http://pythonhosted.org/python-gnupg/
https://github.com/vsajip/python-gnupg/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="app-crypt/gnupg"
+DEPEND="${RDEPEND}"
+
+PATCHES=( "${FILESDIR}"/${PN}-0.3.6-skip-search-keys-tests.patch )
+
+python_test() {
+ # Note; 1 test fails under pypy only
+ "${PYTHON}" test_gnupg.py || die "Tests fail with ${EPYTHON}"
+}